import type { DiffImpactReport, ImpactWeights, JSON_ROOT } from "./types";
export default class ImpactEngine {
    private constructor();
    static analysis(oldJson: JSON_ROOT, newJson: JSON_ROOT): DiffImpactReport;
    static analysisWithWeights(oldJson: JSON_ROOT, newJson: JSON_ROOT, weights?: Partial<ImpactWeights>): DiffImpactReport;
}
